Package org.eclipse.e4.ui.css.swt.properties.custom

# Class CSSPropertyCustomTabContentBackgroundSWTHandler

java.lang.Object
org.eclipse.e4.ui.css.swt.properties.AbstractCSSPropertySWTHandler
org.eclipse.e4.ui.css.swt.properties.custom.CSSPropertyCustomTabContentBackgroundSWTHandler

All Implemented Interfaces:
  `ICSSPropertyHandler`

public class CSSPropertyCustomTabContentBackgroundSWTHandler extends AbstractCSSPropertySWTHandler

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyCustomTabContentBackgroundSWTHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyCSSProperty(Control control, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the SWT `control` (ex : SWT Text, SWT Label).
`protected String`
`retrieveCSSProperty(Control control, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the SWT `control` (ex : SWT Text, SWT Label).

### Methods inherited from class org.eclipse.e4.ui.css.swt.properties.AbstractCSSPropertySWTHandler

`applyCSSProperty, retrieveCSSProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSPropertyCustomTabContentBackgroundSWTHandler

public CSSPropertyCustomTabContentBackgroundSWTHandler()

## Method Details

### applyCSSProperty

protected void applyCSSProperty(Control control, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from class: `AbstractCSSPropertySWTHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the SWT `control` (ex : SWT Text, SWT Label).

Specified by:
  `applyCSSProperty` in class `AbstractCSSPropertySWTHandler`
Parameters:
  `control` - SWT control to change
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

protected String retrieveCSSProperty(Control control, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from class: `AbstractCSSPropertySWTHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the SWT `control` (ex : SWT Text, SWT Label).

Specified by:
  `retrieveCSSProperty` in class `AbstractCSSPropertySWTHandler`
Parameters:
  `control` - SWT control to change
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed